Skip to main content

Get FIDO tokens (paginated)

POST 

/api/web/v1/fidotokenspaged

Get a paginated list of FIDO tokens with search and filter capabilities. Caller requires the FIDOTOKENS:VIEW permission. The following searchByAttributes are supported:

  • userId: a String value (it matches both the User ID or any alias). Allowed operator is EQUALS.
  • name: a String with value matching the FIDO token name. Allowed operators are: EQUALS, NOT_EQUALS, CONTAINS, NOT_CONTAINS, STARTS_WITH, ENDS_WITH.
  • authenticatorModel: a String value matching the authenticator model name. Allowed operators are: EQUALS, NOT_EQUALS, CONTAINS, NOT_CONTAINS, STARTS_WITH, ENDS_WITH.
  • state: FIDO token state Active or Inactive. Allowed operator is: EQUALS
  • createDate: a String value representing an ISO-8601 date in UTC time (e.g., 2018-08-04T18:15:30). Allowed operators are: GREATER_THAN, GREATER_THAN_OR_EQUAL, LESS_THAN, LESS_THAN_OR_EQUAL
  • lastUsedDate: a String value representing an ISO-8601 date in UTC time (e.g., 2018-08-04T18:15:30). Allowed operators are: GREATER_THAN, GREATER_THAN_OR_EQUAL, LESS_THAN, LESS_THAN_OR_EQUAL, EXISTS, NOT_EXISTS
If you provide more than one search attribute, they are joined with an AND condition.

The orderByAttribute supports these attribute names: userId and createDate.

Request

Responses

Successful